Main Page Widgets Namespaces Book

# Gtk::ComboBoxEntry Class Reference
[Widgets]

Inheritance diagram for Gtk::ComboBoxEntry:

[legend]
List of all members.

## Detailed Description

A text entry field with a dropdown list A ComboBoxEntry is a widget that allows the user to choose from a list of valid choices or enter a different value.

It is very similar to a ComboBox, but it displays the selected value in an entry to allow modifying it.

In contrast to a ComboBox, the underlying model of a ComboBoxEntry must always have a text column (see set_text_column()), and the entry will show the content of the text column in the selected row.

See also ComboBoxEntryText, , which is specialised for a single text column.

To add and remove strings from the list, just modify the model using its data manipulation API. You can get the* Entry by using get_child().

## Public Member Functions

| ComboBoxEntry (const Glib::RefPtr<TreeModel>& model, int text_column=0)
| Creates a new ComboBoxEntry which has an Entry as child and a list of strings as popup.
| ComboBoxEntry (const Glib::RefPtr<TreeModel>& model, const TreeModelColumnBase& text_column)
| Creates a new ComboBoxEntry which has an Entry as child and a list of strings as popup.
| ComboBoxEntry ()
const Entry* | get_entry () const
| See Bin::get_entry().
Entry* | get_entry ()
| See Bin::get_entry().
int | get_text_column () const
| Returns the column which entry_box is using to get the strings from.
const GtkComboBoxEntry* | gobj () const
| Provides access to the underlying C GtkObject.
GtkComboBoxEntry* | gobj ()
| Provides access to the underlying C GtkObject.
void | set_text_column (int text_column) const
| Sets the model column which entry_box should use to get strings from to be text_column .
void | set_text_column (const TreeModelColumnBase& text_column) const
| Sets the model column which entry_box should use to get strings from to be text_column .
virtual | ~ComboBoxEntry ()

## Related Functions

(Note that these are not member functions.)
Gtk::ComboBoxEntry* | wrap (GtkComboBoxEntry* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::ComboBoxEntry::~ComboBoxEntry | ( |  | ) | `[virtual]`

Gtk::ComboBoxEntry::ComboBoxEntry | ( |  | ) |

Gtk::ComboBoxEntry::ComboBoxEntry | ( | const Glib::RefPtr<TreeModel>& | model,
|  | const TreeModelColumnBase& | text_column
| ) | `[explicit]`

Creates a new ComboBoxEntry which has an Entry as child and a list of strings as popup.

You can get the Entry from a ComboBoxEntry using get_entry(). To add and remove strings from the list, just modify model using its data manipulation API.

Parameters:

  | model | A TreeModel.
  | text_column | A column in model to get the strings from.

Gtk::ComboBoxEntry::ComboBoxEntry | ( | const Glib::RefPtr<TreeModel>& | model,
|  | int | text_column = `0`
| ) | `[explicit]`

Creates a new ComboBoxEntry which has an Entry as child and a list of strings as popup.

You can get the Entry from a ComboBoxEntry using get_entry(). To add and remove strings from the list, just modify model using its data manipulation API.

Parameters:

  | model | A TreeModel.
  | text_column | A column in model to get the strings from.

## Member Function Documentation

const Entry* Gtk::ComboBoxEntry::get_entry | ( |  | ) | const

| See Bin::get_entry().

Entry* Gtk::ComboBoxEntry::get_entry | ( |  | ) |

| See Bin::get_entry().

int Gtk::ComboBoxEntry::get_text_column | ( |  | ) | const

Returns the column which entry_box is using to get the strings from.

Returns:
  A column in the data source model of entry_box .

.

const GtkComboBoxEntry* Gtk::ComboBoxEntry::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::ComboBox.

GtkComboBoxEntry* Gtk::ComboBoxEntry::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::ComboBox.

void Gtk::ComboBoxEntry::set_text_column | ( | int | text_column | ) | const

Sets the model column which entry_box should use to get strings from to be text_column .

.

Parameters:

  | text_column | A column in model to get the strings from.

void Gtk::ComboBoxEntry::set_text_column | ( | const TreeModelColumnBase& | text_column | ) | const

Sets the model column which entry_box should use to get strings from to be text_column .

.

Parameters:

  | text_column | A column in model to get the strings from.

## Friends And Related Function Documentation

Gtk::ComboBoxEntry* wrap | ( | GtkComboBoxEntry* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- comboboxentry.h